## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemExtensionCall Class Reference

`#include <ElemExtensionCall.hpp>`

Inheritance diagram for ElemExtensionCall

Collaboration diagram for ElemExtensionCall:

List of all members.

## Public Methods

- ElemExtensionCall ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const XalanDOMChar* name, const AttributeListType& atts, int lineNumber, int columnNumber, ExtensionNSHandler& ns)
    Construct an object corresponding to calling an XSL extension. More...
- virtual void execute (StylesheetExecutionContext& executionContext) const
    Execute the element's primary function. More...
- bool elementAvailable (StylesheetExecutionContext& executionContext) const

## Constructor & Destructor Documentation

ElemExtensionCall::ElemExtensionCall ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const XalanDOMChar * name,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber,
| ExtensionNSHandler & ns )

Construct an object corresponding to calling an XSL extension.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  name | name of element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
  ns | handler for the extension

## Member Function Documentation

bool ElemExtensionCall::elementAvailable ( | StylesheetExecutionContext & executionContext ) const

virtual void ElemExtensionCall::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Execute the element's primary function.

Subclasses of this function may recursively execute down the element tree.

Parameters:

  executionContext | The current execution context

Reimplemented from ElemLiteralResult.

The documentation for this class was generated from the following file:

- ElemExtensionCall.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.